﻿using System.IO;
using System.ServiceModel.Activation;
using System.Speech.Synthesis;

namespace SilverlightTextToSpeech.Web
{
    [AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
    public class SpeechService : ISpeechService
    {
        public byte[] Speak(string textToSay)
        {
            SpeechSynthesizer ss = new SpeechSynthesizer();
            MemoryStream ms = new MemoryStream();
            ss.SetOutputToWaveStream(ms);
            ss.Speak(textToSay);
            return ms.ToArray();
        }
    }
}
