﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using SilverlightTextToSpeech.SpeechService;
using System.IO;

namespace SilverlightTextToSpeech
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            SpeechServiceClient client = new SpeechServiceClient("BasicHttpBinding_ISpeechService");
            client.SpeakCompleted += (o, ea) =>
                {
                    WavMediaStreamSource audioStream = new WavMediaStreamSource(new MemoryStream(ea.Result));
                    _audioPlayer.SetSource(audioStream);
                };
            client.SpeakAsync(_txtTextToSay.Text);
        }
    }
}
